summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorSam Steingold <sds@gnu.org>2001-11-06 15:42:06 +0000
committerSam Steingold <sds@gnu.org>2001-11-06 15:42:06 +0000
commitf0f2756d0e293c045f063652fd2e90ae1b433205 (patch)
tree8eef72543aced8f0aff472041d25d9ce72ea7fa3 /configure
parent7a6a97d7b9e970e757c1a9c96412ca351207ea0c (diff)
downloademacs-f0f2756d0e293c045f063652fd2e90ae1b433205.tar.gz
added a check for nlist.h
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure76
1 files changed, 64 insertions, 12 deletions
diff --git a/configure b/configure
index b58cb9498a5..96fc3cada93 100755
--- a/configure
+++ b/configure
@@ -12283,6 +12283,58 @@ EOF
fi
+for ac_header in nlist.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:12289: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ cat >conftest.$ac_ext <<_ACEOF
+#line 12295 "configure"
+#include "confdefs.h"
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:12299: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ egrep -v '^ *\+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:12305: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_c_preproc_warn_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ eval "$as_ac_Header=yes"
+else
+ echo "$as_me: failed program was:" >&5
+ cat conftest.$ac_ext >&5
+ eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_ext
+fi
+echo "$as_me:12324: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<EOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+EOF
+
+cat >>confdefs.h <<\EOF
+#define NLIST_STRUCT 1
+EOF
+
+fi
+done
+
#### Report on what we decided to do.
echo "
Configured for \`${canonical}'.
@@ -12329,7 +12381,7 @@ test "${exec_prefix}" != NONE &&
## C preprocessor.
cat >conftest.$ac_ext <<_ACEOF
-#line 12332 "configure"
+#line 12384 "configure"
#include "confdefs.h"
yes..yes
_ACEOF
@@ -12422,7 +12474,7 @@ DEFS=-DHAVE_CONFIG_H
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:12425: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:12477: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -12598,7 +12650,7 @@ cat >>$CONFIG_STATUS <<\EOF
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:12601: error: ambiguous option: $1
+ { { echo "$as_me:12653: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -12617,7 +12669,7 @@ Try \`$0 --help' for more information." >&2;}
ac_need_defaults=false;;
# This is an error.
- -*) { { echo "$as_me:12620: error: unrecognized option: $1
+ -*) { { echo "$as_me:12672: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
@@ -12671,7 +12723,7 @@ do
"leim/Makefile" ) CONFIG_FILES="$CONFIG_FILES leim/Makefile" ;;
"default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
"src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h:src/config.in" ;;
- *) { { echo "$as_me:12674: error: invalid argument: $ac_config_target" >&5
+ *) { { echo "$as_me:12726: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -12918,7 +12970,7 @@ done; }
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:12921: creating $ac_file" >&5
+ { echo "$as_me:12973: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -12936,7 +12988,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:12939: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:12991: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -12949,7 +13001,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:12952: error: cannot find input file: $f" >&5
+ { { echo "$as_me:13004: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -13010,7 +13062,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
* ) ac_file_in=$ac_file.in ;;
esac
- test x"$ac_file" != x- && { echo "$as_me:13013: creating $ac_file" >&5
+ test x"$ac_file" != x- && { echo "$as_me:13065: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
# First look for the input files in the build tree, otherwise in the
@@ -13021,7 +13073,7 @@ echo "$as_me: creating $ac_file" >&6;}
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:13024: error: cannot find input file: $f" >&5
+ test -f "$f" || { { echo "$as_me:13076: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -13034,7 +13086,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:13037: error: cannot find input file: $f" >&5
+ { { echo "$as_me:13089: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
@@ -13151,7 +13203,7 @@ cat >>$CONFIG_STATUS <<\EOF
rm -f $tmp/in
if test x"$ac_file" != x-; then
if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
- { echo "$as_me:13154: $ac_file is unchanged" >&5
+ { echo "$as_me:13206: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
else
ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \